OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
TransferSeamLineFlags< BoolTreeType, SignDataType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType
using | SignDataTreeType = typename BoolTreeType::template ValueConverter< SignDataType >::Type
using | SignDataLeafNodeType = typename SignDataTreeType::LeafNodeType

## Public Member Functions
| TransferSeamLineFlags (const std::vector< SignDataLeafNodeType *> &signFlagsLeafNodes, const BoolTreeType &maskTree)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ SignDataLeafNodeType

using SignDataLeafNodeType = typename SignDataTreeType::LeafNodeType

## ◆ SignDataTreeType

using SignDataTreeType = typename BoolTreeType::template ValueConverter<SignDataType>::Type

## Constructor & Destructor Documentation

## ◆ TransferSeamLineFlags()

TransferSeamLineFlags | ( | const std::vector< SignDataLeafNodeType *> & | signFlagsLeafNodes,
|  | const BoolTreeType & | maskTree
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h